<?php
/**
 * some classes that are small helpers
 * go here
 */
namespace MAMS;
class DeprecatedMethodException extends \Exception
{
  public function __construct($method)
  {
    parent::__construct("The method '$method' is deprecated and no longer exists.", \E_USER_DEPRECATED);
  }
}
class MethodNoFoundException extends \Exception
{
  public function __construct($name, $class_name)
  {
    parent::__construct("method $name not found in  $class_name object", \E_USER_DEPRECATED);
  }
}
?>